petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatCreateSubMatricesMPI

Extracts MPI submatrices across a sub communicator of mat (by pairs of IS that may live on subcomms).

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCreateSubMatricesMPI(Mat mat,PetscInt n,const IS irow[],const IS icol[],MatReuse scall,Mat *submat[])

Collective on Mat

### Input Parameters

| mat | - the matrix
| n | - the number of submatrixes to be extracted
| irow, icol | - index sets of rows and columns to extract
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameter

submat -the array of submatrices

### See Also

MatCreateSubMatrices(), MatCreateSubMatrix(), MatGetRow(), MatGetDiagonal(), MatReuse

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatCreateSubMatricesMPI_MPIAdj in src/mat/impls/adj/mpi/mpiadj.c
src/mat/impls/aij/mpi/mpiov.c:3073:PetscErrorCode MatCreateSubMatricesMPI_MPIXAIJ(Mat C,PetscInt ismax,const IS isrow[],const IS iscol[],MatReuse scall,Mat *submat[], MatCreateSubMatricesMPI_MPIAIJ in src/mat/impls/aij/mpi/mpiov.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages